<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

require_once(dirname(__FILE__).'/../../vendor/autoload.php');

use Invertus\SwedBank\Controller\AbstractAdminController;

class AdminSwedBankLiveGeneralSettingsController extends AbstractAdminController
{
    public function __construct()
    {
        $this->table = Configuration::$definition['table'];
        $this->identifier = Configuration::$definition['primary'];
        $this->className = 'Configuration';
        $this->display = 'add';
        $this->multiple_fieldsets = true;

        parent::__construct();

        $this->page_header_toolbar_title = $this->l('Swedbank Live settings');
    }

    public function init()
    {
        $this->fields_form = $this->getLiveTestingFormFields();
        parent::init();
    }

    public function renderForm()
    {
        $this->setLiveTestFormValues();
        return parent::renderForm();
    }

    public function beforeAdd($object)
    {
        $this->submitTestLiveSettings();
    }

    public function _childValidation()
    {
        if (!$this->validateTestLiveSettings()) {
            return false;
        }

        return parent::_childValidation();
    }

    public function setMedia($isNewTheme = false)
    {
        parent::setMedia();
        $this->addCSS($this->getAdminCssUrl().'settings.css');
        $this->addJS($this->getAdminJsUrl().'test_live_form.js');
        $this->addJS($this->getAdminJsUrl().'payment_method_event.js');
    }
}
