<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

class SwedBankHpsCallbackModuleFrontController extends ModuleFrontController
{
    /**
     * @var SwedBank
     */
    public $module;

    public function postProcess()
    {
        /*if (Tools::getRemoteAddr() != $_SERVER['SERVER_ADDR']) {
            die;
        }*/

        $idOrder = Tools::getValue('id_order');
        $secretKey = Tools::getValue('secret_key');
        $status = Tools::strtoupper(Tools::getValue('status'));
        $cardData = json_decode(Tools::getValue('card_data'), true);

        $order = new Order($idOrder);

        if (Tools::encrypt($this->module->name) != $secretKey ||
            !Validate::isLoadedObject($order) ||
            !$this->module->active ||
            !$this->module->isConfigured() ||
            $order->module != $this->module->name ||
            $order->hasBeenPaid()
        ) {
            die;
        }

        $environment = Tools::strtoupper($this->module->getEnvironment());
        $idOrderStatus = null;

        if ('SUCCESS' == $status) {
            $idOrderStatus = Configuration::get('SB_ORDER_STATUS_SUCCESS_'.$environment);

            $paymentCartData = new SwedbankCardPaymentData();
            $paymentCartData->id_order = $order->id;
            $paymentCartData->expiry_date = $cardData['expiryDate'];
            $paymentCartData->pan = $cardData['pan'];
            $paymentCartData->authorization_code = $cardData['authorizationCode'];
            $paymentCartData->merchant_reference = $cardData['merchantReference'];
            $paymentCartData->fulfill_date = $cardData['fulfillDate']['date'];

            try {
                $paymentCartData->save();
            } catch (Exception $exception) {
            }
        } elseif ('REQUIRESINVESTIGATION' == $status) {
            $idOrderStatus = Configuration::get('SB_ORDER_STATUS_REQINV_'.$environment);
        }

        if ($idOrderStatus) {
            $order->setCurrentState($idOrderStatus);
        }

        die;
    }
}
