/*
 * NOTICE OF LICENSE
 *
 * @author    INVERTUS, UAB www.invertus.eu <support@invertus.eu>
 * @copyright Copyright (c) permanent, INVERTUS, UAB
 * @license   Addons PrestaShop license limitation
 * @see       /LICENSE
 *
 * International Registered Trademark & Property of INVERTUS, UAB
 */

$(document).ready(function () {

    if (isPrestashopVersion15()) {
        initLanguageFieldsHideOnPageLoad();
    }
    var $parent = getParent();

    var $payPalHiddenInput = $parent.find('[id="paypal_payment_method_name"]');
    var $cardHiddenInput = $parent.find('[id="card_payment_method_name"]');

    var $paypalPaymentMethodName =
        'input[name="'+ $payPalHiddenInput.val() +'"]';
    var $cardPaymentMethodName =
        'input[name="'+ $cardHiddenInput.val() +'"]';
    var $cardpaymentChecked = $($cardPaymentMethodName).is(':checked');


    if (true === $cardpaymentChecked) {
        showCardPaymentFields();
    }

    var $banklinkChecked = $('input[name^="SB_PAYMENT_METHODS"]:not(:'+$cardPaymentMethodName+'):not(:'+$paypalPaymentMethodName+')').is(':checked');
    if (true === $banklinkChecked) {
        showBankLinkFields();
    }

    $(document).on('change', 'input[name^="SB_PAYMENT_METHODS"]:first',displayHideLanguageInputFieldsEvent);
    $(document).on('change', 'input[name^="SB_PAYMENT_METHODS"]:not(:'+$cardPaymentMethodName+'):not(:'+$paypalPaymentMethodName+')', displayHideLanguageSelectFieldsEvent);

    function displayHideLanguageInputFieldsEvent() {
        var isPrestashop15 = isPrestashopVersion15();
        var $currentCheckbox = $(this);
        var $parent = isPrestashop15 ? $currentCheckbox.closest('[id^="fieldset"]') : $currentCheckbox.closest('.panel');
        var $elements = $parent.find('[id^="card_"]');
        var $elementDesc = $parent.find('.card_text');
        var $formGroupClass = isPrestashop15 ? '.margin-form' : '.form-group';

        if ($currentCheckbox.is(':checked')) {
            if (!isPrestashop15) {
                $elementDesc.removeClass('hide');
            }
            $elements.each(function () {
                $(this).closest($formGroupClass).removeClass('hide');
                if (isPrestashop15) {
                    $(this).removeClass('hide');
                }
            });
        } else {
            if (!isPrestashop15) {
                $elementDesc.addClass('hide');
            }

            $elements.each(function () {
                $(this).closest($formGroupClass).addClass('hide');
                if (isPrestashop15) {
                    $(this).addClass('hide');
                }
            });
        }
    }

    function displayHideLanguageSelectFieldsEvent() {
        var isPrestashop15 = isPrestashopVersion15();
        var $currentCheckbox = $(this);
        var $parent = isPrestashop15 ? $currentCheckbox.closest('[id^="fieldset"]') : $currentCheckbox.closest('.panel');
        var $elements = $parent.find('[id^="banklink_"]');
        var $elementDesc = $parent.find('.banklink_text');
        var $uncheckedCheckboxesLength =
        parseInt($parent.find('input[name^="SB_PAYMENT_METHODS"]:not(:'+$cardPaymentMethodName +'):not(:'+$paypalPaymentMethodName+'):not(:checked)').length);
        var $totalCheckboxesLength = parseInt($parent.find('input[name^="SB_PAYMENT_METHODS"]:not(:'+$cardPaymentMethodName+'):not(:'+$paypalPaymentMethodName+')').length);
        var $formGroupClass = isPrestashop15 ? '.margin-form' : '.form-group';

        if ($totalCheckboxesLength === $uncheckedCheckboxesLength) {
            if (!isPrestashop15) {
                $elementDesc.addClass('hide');
            }
            $elements.each(function () {
                $(this).closest($formGroupClass).addClass('hide');
                if (isPrestashop15) {
                    $(this).addClass('hide');
                }
            });
        } else {
            if (!isPrestashop15) {
                $elementDesc.removeClass('hide');
            }
            $elements.each(function () {
                $(this).closest($formGroupClass).removeClass('hide');
                if (isPrestashop15) {
                    $(this).removeClass('hide');
                }
            });
        }
    }

    function showCardPaymentFields() {
        var $parent = getParent();
        var $elements = $parent.find('[id^="card_"]');
        var $elementDesc = $parent.find('.card_text');
        $elementDesc.removeClass('hide');
        $elements.each(function () {
            $(this).closest('.form-group').removeClass('hide');
        });
    }

    function showBankLinkFields() {
        var $parent = getParent();
        var $elements = $parent.find('[id^="banklink_"]');
        var $elementDesc = $parent.find('.banklink_text');
        $elementDesc.removeClass('hide');
        $elements.each(function () {
            $(this).closest('.form-group').removeClass('hide');
        });
    }
    
    function initLanguageFieldsHideOnPageLoad() {
        var $parent = getParent();
        var $bankLinkEelements = $parent.find('[id^="banklink_"]');
        var $cardElements = $parent.find('[id^="card_"]');

        if ($bankLinkEelements.hasClass('hide')) {
            $bankLinkEelements.closest('.margin-form').addClass('hide');
        }

        if ($cardElements.hasClass('hide')) {
            $cardElements.closest('.margin-form').addClass('hide');
        }
    }
});

function isPrestashopVersion15()
{
    var result = _PS_VERSION_.match('^1.5');

    if (result) {
        return true;
    }

    return false;
}